Page MenuHomePhabricator

Special:Stabilization rights in catalan wikinews
Closed, ResolvedPublic

Description

The sysops han losen userrights about Special:Stabilization extension in catalan wikinews. Can you give us again theses rights ?

See by example : https://ca.wikinews.org/w/index.php?title=Especial:Stabilization&page=Portada

Details

Related Gerrit Patches:

Event Timeline

Grondin created this task.Dec 19 2018, 5:13 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 19 2018, 5:13 PM

I guess this is the stablesettings permission that is missing there. Not sure when/why it got removed.

wmf-config/flaggedrevs.php
$wgGroupPermissions['sysop']['stablesettings'] = false; // -aaron 3/20/10

../..

} elseif ( $wgDBname == 'cawikinews' ) {
	$wgFlaggedRevsNamespaces[] = 102; // T36135

	$wgGroupPermissions['editor']['autopatrol'] = true; // T95085

	$wgGroupPermissions['reviewer'] += [
		'autopatrol' => true,         // T95085
		'patrol' => true,             // T95085
	];

	$wgGroupPermissions['sysop'] += [
		'stablesettings' => true,     // T36135
		'review' => true,             // T95085
		'validate' => true,           // T95085
		'unreviewedpages' => true,    // T95085
	];
}

So I'm not sure why stablesettings ins't listed at https://ca.wikinews.org/wiki/Especial:ListGroupRights...

This right has been removed in https://gerrit.wikimedia.org/r/203283. Also the current code won't work because the + operator doesn't override values for existing keys.

	$wgGroupPermissions['sysop'] += [
		'stablesettings' => true,     // T36135
		'review' => true,             // T95085
		'validate' => true,           // T95085
		'unreviewedpages' => true,    // T95085
	];

Change 481046 had a related patch set uploaded (by MR70; owner: MR70):
[operations/mediawiki-config@master] Fix some config settings in cawikinews

https://gerrit.wikimedia.org/r/481046

Change 481046 merged by jenkins-bot:
[operations/mediawiki-config@master] Restore access to Special:Stabilization settings in cawikinews

https://gerrit.wikimedia.org/r/481046

MR70 closed this task as Resolved.Dec 21 2018, 12:33 AM
MR70 claimed this task.
MR70 removed a project: Patch-For-Review.

@Grondin, The problem should be fixed now.